package com.jkcredit.invoice.mapper.waybill;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.waybill.NoCarWayBill;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface NoCarWaybillMapper extends BaseMapper<NoCarWayBill>{

    IPage<List<NoCarWayBill>> selectAllByPage(Page page, @Param("noCarWayBill") NoCarWayBill noCarWayBill);

    IPage<List<NoCarWayBill>> selectAllByPageException(Page page, @Param("noCarWayBill") NoCarWayBill noCarWayBill);

    int insert(NoCarWayBill record);

    int updateByPrimaryKey(NoCarWayBill record);

    int updateByBillNum(NoCarWayBill record);

    NoCarWayBill selectByBillNum(String wayBillNum);

    List<NoCarWayBill> selectByHisFlagAndBillStatus(NoCarWayBill noCarWayBill);
}
